.row {
  --bs-gutter-x: 15px !important;
}

.form-label {
  margin-top: 0.5rem;
  max-width: 95%;
  min-height: 16px;
}

.form-check {
  margin: 0px 5px;

  &.ion-disable {
    background-color: transparent !important;
  }
}

.form-control.is-valid,
.was-validated,
.form-control:valid {
  --bs-form-valid-border-color: var(--bs-success);
  --bs-form-valid-color: var(--bs-success);
}

/* For text field */
.form-control:valid {
  background-image: unset !important;
}

.form-select {
  --bs-form-select-bg-icon: unset !important;
}

.form-control.is-invalid,
.was-validated .form-control:invalid,
.was-validated .form-select:invalid {
  background-color: var(--bs-danger-bg) !important;
  --bs-form-invalid-border-color: var(--bs-danger);
  --bs-form-invalid-color: var(--bs-danger);
  opacity: 0.85;
}

div.input-row {
  display: flex;

  span.prefix,
  span.suffix {
    font-size: 14px;
    margin: auto 3px auto 0px;
  }

  .prefix-suffix-container {
    --radius: 7px;
    width: 100%;
    display: flex;

    .prefix-wrapper {
      margin: auto;
      background: var(--bs-light-bg-active);
      padding: var(--radius);
      border-radius: var(--radius) 0px 0px var(--radius);

      i {
        color: var(--bs-success);
      }
    }

    input {
      border-radius: 0px var(--bs-border-radius) var(--bs-border-radius) 0px;
    }
  }
}

div.field-item {
  display: inline-block;
  padding: 5px;
  --bs-body-color: var(--bs-light);

  .accordion {
    width: 100%;
    border: 1px solid var(--bs-border-color);
    border-radius: 0.4rem;
  }

  div.dataTables_wrapper {
    overflow-x: scroll;

    table {
      min-width: 100%;
      --table-bg: unset !important;
    }
  }

  div.date-time-field {
    i {
      margin: auto;
      margin-left: -2rem;
    }
  }

  &[data-field-type="hint"] {
    margin-bottom: 0px !important;
  }

  &[data-field-type="hidden"] {
    display: none !important;
  }
}

.was-validated input.tag-list-value:invalid + .widget .tag-list-item {
  background-color: var(--bs-danger-bg) !important;
  border-color: var(--bs-danger);
  color: var(--bs-danger);
}

.tag-list-item {
  display: inline-block;
  font-size: 14px !important;
  padding: 0.5rem;
  border: 1px solid var(--bs-info-bg);
  border-radius: 5px;
  margin: 5px;
  color: var(--bs-info);
  background: transparent;
  position: relative;

  &:hover,
  &.checked {
    background: var(--bs-info-bg);
  }

  label {
    cursor: pointer;
  }

  input[type="checkbox"] {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    margin: 0px;
    left: 0;
  }
}

.nav-tabs {
  --bs-nav-tabs-link-hover-border-color: var(--bs-primary-bg)
    var(--bs-primary-bg) var(--bs-border-color);

  --bs-nav-tabs-link-active-color: var(--bs-dark);
  --bs-nav-tabs-link-active-border-color: var(--bs-primary-bg)
    var(--bs-primary-bg) var(--bs-border-color);
}

.no-border {
  input {
    border: 0px !important;
    padding-left: 0;
  }
}
.pe-none {
  input {
    pointer-events: none !important;
  }
}

.label-only {
  margin: 0px !important;

  .form-label {
    margin: 0px;
  }

  div.field-item-inner {
    display: none;
  }
}
